aboutsummaryrefslogtreecommitdiffstatshomepage
path: root/cgi-bin
diff options
context:
space:
mode:
Diffstat (limited to 'cgi-bin')
-rwxr-xr-xcgi-bin/poweroff.sh5
-rwxr-xr-xcgi-bin/reboot.sh5
2 files changed, 10 insertions, 0 deletions
diff --git a/cgi-bin/poweroff.sh b/cgi-bin/poweroff.sh
new file mode 100755
index 0000000..d0df856
--- /dev/null
+++ b/cgi-bin/poweroff.sh
@@ -0,0 +1,5 @@
+#!/usr/bin/env bash
+
+set -o errexit -o nounset -o pipefail
+
+systemctl poweroff
diff --git a/cgi-bin/reboot.sh b/cgi-bin/reboot.sh
new file mode 100755
index 0000000..b8bb350
--- /dev/null
+++ b/cgi-bin/reboot.sh
@@ -0,0 +1,5 @@
+#!/usr/bin/env bash
+
+set -o errexit -o nounset -o pipefail
+
+systemctl reboot